package domain


type AlibabaWdkItemStoreskustatusUpdateUpdateStoreSkuLifeStatusRequestBean struct {
    /*
        机构编码     */
    OrgCode  *string `json:"org_code,omitempty" `

    /*
        商品编码     */
    SkuCode  *string `json:"sku_code,omitempty" `

    /*
        门店编码     */
    StoreId  *string `json:"store_id,omitempty" `

    /*
        商品状态     */
    LifeStatus  *string `json:"life_status,omitempty" `

    /*
        渠道编码     */
    ShopId  *string `json:"shop_id,omitempty" `

    /*
        淘鲜达半日达项目新增，0 表示上架，1表示下架，当更新淘鲜达半日达渠道品上下架时，该字段必传     */
    OnlineSaleFlag  *int64 `json:"online_sale_flag,omitempty" `

}

func (s *AlibabaWdkItemStoreskustatusUpdateUpdateStoreSkuLifeStatusRequestBean) SetOrgCode(v string) *AlibabaWdkItemStoreskustatusUpdateUpdateStoreSkuLifeStatusRequestBean {
    s.OrgCode = &v
    return s
}
func (s *AlibabaWdkItemStoreskustatusUpdateUpdateStoreSkuLifeStatusRequestBean) SetSkuCode(v string) *AlibabaWdkItemStoreskustatusUpdateUpdateStoreSkuLifeStatusRequestBean {
    s.SkuCode = &v
    return s
}
func (s *AlibabaWdkItemStoreskustatusUpdateUpdateStoreSkuLifeStatusRequestBean) SetStoreId(v string) *AlibabaWdkItemStoreskustatusUpdateUpdateStoreSkuLifeStatusRequestBean {
    s.StoreId = &v
    return s
}
func (s *AlibabaWdkItemStoreskustatusUpdateUpdateStoreSkuLifeStatusRequestBean) SetLifeStatus(v string) *AlibabaWdkItemStoreskustatusUpdateUpdateStoreSkuLifeStatusRequestBean {
    s.LifeStatus = &v
    return s
}
func (s *AlibabaWdkItemStoreskustatusUpdateUpdateStoreSkuLifeStatusRequestBean) SetShopId(v string) *AlibabaWdkItemStoreskustatusUpdateUpdateStoreSkuLifeStatusRequestBean {
    s.ShopId = &v
    return s
}
func (s *AlibabaWdkItemStoreskustatusUpdateUpdateStoreSkuLifeStatusRequestBean) SetOnlineSaleFlag(v int64) *AlibabaWdkItemStoreskustatusUpdateUpdateStoreSkuLifeStatusRequestBean {
    s.OnlineSaleFlag = &v
    return s
}
